//データベースをjsファイルで作り、そのDBをjsファイルから編集するプログラム
var sqlite3 = require('sqlite3').verbose();
var db = new sqlite3.Database(':chat-text:');

db.serialize(() => {
    db.run('CREATE TABLE chatlog (id INTEGER, name TEXT)');

    var insertData = db.prepare('INSERT INTO chatlog VALUES (?, ?)');
    insertData.run([1, 'Rino']);
    insertData.run([2, 'Haku']);

    insertData.finalize();

    db.each('SELECT * FROM chatlog', (err, rows) => {
        if (err) {
            console.error(err.message);
       }

       console.log(`${rows.id} : ${rows.name}`);
    });
});

db.close();